Package de.gebit.integrity.string

## Enum FormatTokenElement.FormatTokenType

- java.lang.Object
- - java.lang.Enum<FormatTokenElement.FormatTokenType>
  - - de.gebit.integrity.string.FormatTokenElement.FormatTokenType

- All Implemented Interfaces:
    `Serializable`, `Comparable<FormatTokenElement.FormatTokenType>`
  Enclosing class:
    FormatTokenElement

      public static enum FormatTokenElement.FormatTokenType
      extends Enum<FormatTokenElement.FormatTokenType>

  The format token types represent the actual tokens which can be used to format a string.
  Author:
    Rene Schneider - initial API and implementation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BOLD_END` | Stops the bolding.
    `BOLD_START` | Represents bolding of the following text (until BOLD_END).
    `ITALIC_END` | Stops the italicization.
    `ITALIC_START` | Represents italicization of the following text (until ITALIC_END).
    `NEWLINE` | Represents a line break.
    `TAB` | Represents a tabulator for indenting following text.
    `UNDERLINE_END` | Stops the underlining.
    `UNDERLINE_START` | Represents underlining of the following text (until UNDERLINE_END).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FormatTokenElement.FormatTokenType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static FormatTokenElement.FormatTokenType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEWLINE

          public static final FormatTokenElement.FormatTokenType NEWLINE

      Represents a line break.

    - #### TAB

          public static final FormatTokenElement.FormatTokenType TAB

      Represents a tabulator for indenting following text.

    - #### UNDERLINE_START

          public static final FormatTokenElement.FormatTokenType UNDERLINE_START

      Represents underlining of the following text (until UNDERLINE_END).

    - #### UNDERLINE_END

          public static final FormatTokenElement.FormatTokenType UNDERLINE_END

      Stops the underlining.

    - #### BOLD_START

          public static final FormatTokenElement.FormatTokenType BOLD_START

      Represents bolding of the following text (until BOLD_END).

    - #### BOLD_END

          public static final FormatTokenElement.FormatTokenType BOLD_END

      Stops the bolding.

    - #### ITALIC_START

          public static final FormatTokenElement.FormatTokenType ITALIC_START

      Represents italicization of the following text (until ITALIC_END).

    - #### ITALIC_END

          public static final FormatTokenElement.FormatTokenType ITALIC_END

      Stops the italicization.

  - ### Method Detail

    - #### values

          public static FormatTokenElement.FormatTokenType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FormatTokenElement.FormatTokenType c : FormatTokenElement.FormatTokenType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FormatTokenElement.FormatTokenType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null